RTREE=..\..\rtree
COMPILER=wcc
CM=/MS
AM=SMALL
D=SAPP
P=/i.\ /i..\ /i$(RTREE)
LN=ctalib
ALIB=$(LN).lib
LINK=wlink

# compiler line for .c files

.c.obj:
	$(COMPILER) $^&.c $(P) /DCTNULL=$(PS) $(CM)
	copy $^&.obj $(D)\*.*
	del $^&.obj

#executables

all: $(D)\ctexmc.exe $(D)\ctexmg.exe $(D)\ctixmg.exe $(D)\ctvxmg.exe &
	$(D)\cttest.exe $(D)\ctcmpc.exe $(D)\ctflat.exe $(D)\ctpkey.exe &
	$(D)\ctrbld.exe .SYMBOLIC
	%null

$(D)\ctexmc.obj: ..\ctexmc.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctexmc.exe: $(D)\ctexmc.obj $(D)\$(ALIB)
	cd $(D)
	$(LINK) file ctexmc library $(ALIB)
	cd ..

$(D)\ctexmg.obj: ..\ctexmg.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctexmg.exe: $(D)\ctexmg.obj $(D)\$(ALIB)
	cd $(D)
	$(LINK) file ctexmg library $(ALIB)
	cd ..

$(D)\ctvxmg.obj: ..\ctvxmg.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctvxmg.exe: $(D)\ctvxmg.obj $(D)\$(ALIB)
	cd $(D)
	$(LINK) file ctvxmg library $(ALIB)
	cd ..

$(D)\ctixmg.obj: ..\ctixmg.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctixmg.exe: $(D)\ctixmg.obj $(D)\$(ALIB)
	cd $(D)
	$(LINK) file ctixmg library $(ALIB)
	cd ..

$(D)\cttest.exe: ..\cttest.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	$(LINK) name $(D)\cttest file cttest
	del cttest.obj

$(D)\ctcmpc.obj: ..\ctcmpc.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctcmpc.exe: $(D)\ctcmpc.obj $(D)\$(ALIB)
	cd $(D)
	$(LINK) file $^& library $(ALIB)
	cd ..

$(D)\ctflat.obj: ..\ctflat.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctflat.exe: $(D)\ctflat.obj $(D)\$(ALIB)
	cd $(D)
	$(LINK) file $^& library $(ALIB)
	cd ..

$(D)\ctpkey.obj: ..\ctpkey.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctpkey.exe: $(D)\ctpkey.obj $(D)\$(ALIB)
	cd $(D)
	$(LINK) file $^& library $(ALIB)
	cd ..

$(D)\ctrbld.obj: ..\ctrbld.c
	echo	CTRBLD CANNOT BE USED WITH FPUTFGET (create an entire NOTFORCE library)
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctrbld.exe: $(D)\ctrbld.obj $(D)\$(ALIB)
	cd $(D)
	$(LINK) file $^& library $(ALIB)
	cd ..


# library modules

$(D)\$(ALIB):	$(D)\ctibld.obj $(D)\ctrbl2.obj $(D)\ctvrc2.obj &
			$(D)\ctdelk.obj $(D)\ctaddk.obj $(D)\ctupdt.obj &
			$(D)\ctsrch.obj $(D)\ctdatf.obj $(D)\ctkeyf.obj &
			$(D)\ctkrnl.obj $(D)\ctcomp.obj $(D)\ctvrcu.obj &
			$(D)\ctinit.obj $(D)\ctdelf.obj $(D)\ctclb2.obj &
			$(D)\ctclib.obj $(D)\ctclb3.obj $(D)\ctload.obj &
			$(D)\ctsset.obj $(D)\ctisam.obj $(D)\ctvrec.obj &
			$(D)\ctism2.obj $(D)\ctfrac.obj $(D)\ctestm.obj &
			$(D)\ctismc.obj $(D)\ctismo.obj $(D)\cticre.obj &
			$(D)\ctiopn.obj &
			$(D)\cticls.obj $(D)\ctifil.obj &
			$(D)\ctismu.obj
	cd $(D)
	del $(LN).bak
	ren $(ALIB) $(LN).bak
	echo +ctibld+ctrbl2+ctsset+ctisam+ctvrec+ctism2 > lrsp.cmd
	echo +ctismc+ctismo+cticre >> lrsp.cmd
	echo +ctiopn >> lrsp.cmd
	echo +cticls+ctifil >> lrsp.cmd
	echo +ctismu >> lrsp.cmd
	echo +ctvrc2+ctload >> lrsp.cmd
	echo +ctdelk+ctaddk+ctupdt >> lrsp.cmd
	echo +ctsrch+ctestm+ctfrac+ctdatf >> lrsp.cmd
	echo +ctkeyf+ctkrnl+ctcomp+ctvrcu >> lrsp.cmd
	echo +ctinit+ctdelf+ctclb2+ctclib+ctclb3 >> lrsp.cmd
	wlib $(ALIB) @lrsp
	del lrsp.cmd
	cd ..

$(D)\ctibld.obj: ..\ctibld.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctrbl2.obj: ..\ctrbl2.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctvrc2.obj: ..\ctvrc2.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctdelk.obj: ..\ctdelk.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctaddk.obj: ..\ctaddk.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctupdt.obj: ..\ctupdt.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctsrch.obj: ..\ctsrch.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctdatf.obj: ..\ctdatf.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctkeyf.obj: ..\ctkeyf.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctkrnl.obj: ..\ctkrnl.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctclb3.obj: ..\ctclb3.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctcomp.obj: ..\ctcomp.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctvrcu.obj: ..\ctvrcu.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctinit.obj: ..\ctinit.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctdelf.obj: ..\ctdelf.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctload.obj: ..\ctload.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctfrac.obj: ..\ctfrac.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctestm.obj: ..\ctestm.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctclb2.obj: ..\ctclb2.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctclib.obj: ctclib.c
	$(COMPILER) $^&.c $(P) /DCTNULL=$(PS) $(CM)
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctsset.obj: ..\ctsset.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctisam.obj: ..\ctisam.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctvrec.obj: ..\ctvrec.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctism2.obj: ..\ctism2.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctismc.obj: ..\ctismc.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctismo.obj: ..\ctismo.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\cticre.obj: ..\cticre.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctiopn.obj: ..\ctiopn.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\cticls.obj: ..\cticls.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctifil.obj: ..\ctifil.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj

$(D)\ctismu.obj: ..\ctismu.c
	$(COMPILER) ..\$^&.c $(P) /DCTNULL=$(PS) $(CM) 
	copy $^&.obj $(D)\*.*
	del $^&.obj
# end
